Subject: Re: [PATCH v2 0/4] Auto-generate mergetool lists

From: John Keeping <[email-masked]>
Date: Mon, 28 Jan 2013 21:01:36 +0000

On Sun, Jan 27, 2013 at 06:41:04PM -0800, David Aguilar wrote:
> John, I didn't completely address your question about keeping
> the sort and prefix in show_tool_help() but I can stop poking at
> it now in case you want to start looking at what it would take
> to get custom tools listed in the --tool-help output.

I've had a quick look and it's quite straightforward to build on top of
this to get an output format like this:

    'git mergetool --tool-<tool>' may be set to one of the following:
                    araxis
                    gvimdiff
                    gvimdiff2
                    vimdiff
                    vimdiff2

            user-defined:
                    mytool

    The following tools are valid, but not currently available:
                    bc3
                    codecompare
                    deltawalker
                    diffuse
                    ecmerge
                    emerge
                    kdiff3
                    meld
                    opendiff
                    p4merge
                    tkdiff
                    tortoisemerge
                    xxdiff

            user-defined:
                    mybrokentool

    Some of the tools listed above only work in a windowed
    environment. If run in a terminal-only session, they will fail.

I don't think the suffix form would be too hard either - it just
requires moving an explicit sort into the top-level shot_tool_help
function.

I'm going to hold off doing any more on this until da/mergetool-docs has
graduated to next since I think it will be easier to just build on that
rather than trying to put all the necessary pieces into place now.

John